@import url('https://fonts.googleapis.com/css2?family=Inter:wght@100..900&family=Montserrat:ital,wght@0,100..900;1,100..900&family=PT+Serif:ital,wght@0,400;0,700;1,400;1,700&display=swap');

body{
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 500;
  font-style: normal;
}

/* Encabezados con “Inter”, mismo estilo que body pero tamaños distintos */
h1 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 32px;       /* Ajusta el tamaño que prefieras */
  line-height: 110%;
  letter-spacing: 0%;
}

h2 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 20px;       /* Basado en tu referencia */
  line-height: 100%;     /* Basado en tu referencia */
  letter-spacing: 0%;
  color:#000066;
}

h3 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 18px;
  line-height: 110%;
  letter-spacing: 0%;
}

h4 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 16px;
  line-height: 110%;
  letter-spacing: 0%;
}

h5 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 14px;
  line-height: 110%;
  letter-spacing: 0%;
}

h6 {
  font-family: "Inter", sans-serif;
  font-optical-sizing: auto;
  font-weight: 700;
  font-size: 12px;
  line-height: 110%;
  letter-spacing: 0%;
}

p {
  font-family: "PT Serif", sans-serif;
  font-optical-sizing: auto;
  font-weight: 400;
  font-size: 16px;
  line-height: 110%;
}

#container {
  position: absolute;
  width: 100vw;
  max-height: 20vw;
  left: 50%;
  bottom: 6vh;
  transform: translateX(-50%);
  z-index: 10;  
  text-align: center;
  pointer-events:none;
  overflow-x: scroll;
  white-space: nowrap;
}

#container::-webkit-scrollbar {
  display: none;
}

.carousel {
  padding: 1.5rem;
  border: 0.3rem solid white;
  margin: 0.5rem;
  border-radius: 50%;
  -webkit-tap-highlight-color: rgba(0,0,0,0);
  pointer-events:auto;
}

.coaching-overlay-prompt-status {
  text-shadow: 0px 0px 5px rgba(0,0,0,0.1);
}

button:focus {
  box-shadow: 0px 0px 0px 0.3rem white;
  outline: none !important;
}

:xr-overlay { 
    /* the following styling is identical to :fullscreen */
    padding-left: 45px !important;
    padding-right: 45px !important;
}

.fade-in { animation: fade-in 0.25s linear forwards; }
@keyframes fade-in {
  0% {opacity: 0;}
  100% {opacity: 1;}
} 

.fade-out { animation: fade-out 0.25s linear forwards; }
@keyframes fade-out {
  0% {opacity: 1;}
  100% {opacity: 0;}
}


.coaching-overlay-container {
  background-color: rgba(0, 0, 0, 0.7);
}

#actionButton {
  background-color: #1F2936;
}

.imageTopBanner {
  display: block;
  position: fixed;
  top: 10px;
  left: 50%; /* Centrar horizontalmente */
  width: 300px;
  height: 70px;
  background-image: url("./images/makito-logo-es.png");
  z-index: 500;
  background-repeat: no-repeat;
  background-position: center; /* Centrar la imagen de fondo */
  transform: translate(-50%, 0px); /* Ajuste para alinear exactamente en el centro */
}

#button-container {
  position: absolute;
  top: 20px;
  left: 20px;
  z-index: 10;
}

/* button:hover {
  background-color: #46BEFF; 
} */

/* Ejemplo de estilos para tu popup de POI */
#poiInfo {
  position: absolute;
  top: 50px;
  left: 50%;
  transform: translateX(-50%);
  width: 80%;
  max-width: 500px;
  background-color: #fff;
  color: #000;
  border: 2px solid #ccc;
  border-radius: 4px;
  padding: 20px;
  z-index: 2;
  display: none; /* Inicialmente oculto */
}
#poiInfo img {
  max-width: 100%;
  height: auto;
}
#closeButton {
  margin-top: 10px;
  cursor: pointer;
  background: #2f2f2f;
  border: 1px solid #ccc;
  padding: 5px 10px;
}
#button-container {
  position: absolute;
  top: 10px;
  left: 10px;
}

/* Resetea márgenes y rellenos para mayor consistencia */
* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

.bottom-bar {
  position: absolute;   
  padding: 8px;
  bottom: 0;
  left: 0;
  right: 0; 
  background-color: transparent;
  z-index: 999;
  margin: 0;
}

.cursorPlacement{
  position: absolute;
  top: 0;
  background: transparent;
  bottom: 0;
  right: 0;
  left: 0;
  border: none;
  pointer-events: auto;
}

.bottom-bar-content{
  padding: 4px 12px;
  width: 100%;
  border-radius: 8px;
  background-color: #FFFFFF;
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.button-label{
  font-family: Montserrat;
  font-weight: 500;
  font-size: 10px;
  line-height: 11px;
  letter-spacing: 0%;
  color: #333333;
}

.bottom-bar-button{
  display: flex;
  flex-direction: column;
  align-items: center;
  background: transparent;
  border: none;
  height: 100%;
  min-width: 48px;
  min-height: 48px;
  justify-content: space-evenly;
}

.button-image{
  width: 18px;
  height: 18px;
}

.button-top{
  position: absolute;
  left: 0px;
  z-index: 899;
  top: 0px;
  padding: 16px;
  width: 70px;
  height: 70px;
}

.button-top button{
  width: 40px;
  height: 40px;
  border: none;
  background: transparent;
  background-image: url("images/icon-back.webp");
  background-repeat: no-repeat;
  background-size: cover;
  background-position: center;
}

.button-top button:focus{
  box-shadow: none;
}

.ascensor-bar {
  position: absolute;
  left: 0px;
  top: 50%;               /* lo sitúas al 50% de la pantalla verticalmente */
  transform: translateY(-50%);
  padding: 16px;
  width: 70px;
  z-index: 899;
  background-color: transparent;
}
.ascensor-content{
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: column;
  gap: 8px;
}

.ascensor-separator {
  width: 40px;
  margin: 2px auto;
  border-bottom: 1px dashed #46BEFF;
}

.button-ascensor {
  border: 1px solid #FFFFFF;
  background: #0000001A;
  width: 40px;
  height: 40px;
  color: #FFFFFF;
  border-radius: 40px;
  position: relative;
  transition: background-color 0.3s ease, color 0.3s ease, border-color 0.3s ease, margin 0.3s ease;
}

.button-ascensor::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 47px;
  height: 47px;
  border: 1px solid transparent;
  border-radius: 50%;
  background: transparent;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.3s ease, border-color 0.3s ease;
}

.button-ascensor::after {
  content: "";
  position: absolute;
  left: 50%;
  bottom: -64px;
  width: 2px;
  height: 56px;
  background-color: #46BEFF;
  transform-origin: top;
  transform: translateX(-50%) scaleY(0);
  transition: transform 0.3s ease;
}

.button-ascensor.selected {
  background-color: #46BEFF;
  border-color: #46BEFF;
  color: black;
  margin-bottom: 64px;
  margin-top: 4px;
}

.button-ascensor.selected::before {
  border-color: #46BEFF;
  transform: translate(-50%, -50%) scale(1);
}

.button-ascensor.selected::after {
  transform: translateX(-50%) scaleY(1);
}

/* Mejora para las líneas POI */
.poi-line {
  position: absolute;
  background-color: #46BEFF;
  height: 1px;
  transform-origin: 0 50%; /* Establecer el origen de transformación de forma consistente */
  pointer-events: none; /* Evitar que las líneas interfieran con clics */
  z-index: 850; /* Mantener el z-index pero asegurar que está entre círculo y label */
}
.poi-line.no-view{
  opacity: 0;
  pointer-events: none;
  touch-action: none;
}

/* Asegurar que los círculos sean visibles adecuadamente */
.poi-circle {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: #00a2ff;
  position: absolute; /* Asegurar posicionamiento absoluto */
  transform: translate(-50%, -50%); /* Centrado correcto */
  z-index: 800;
  pointer-events: none; /* Evitar interferencias */
}

.poi-circle.no-view{
  opacity: 0;
  pointer-events: none;
  touch-action: none;
}

/* Asegurar que la base del POI tenga el posicionamiento correcto */
.poi-base {
  position: absolute;
  z-index: 899;
  opacity: 1;
  pointer-events: auto;
  touch-action: auto;
}

.poi-base.show.no-view{
  opacity: 0;
  pointer-events: none;
  touch-action: none;
}

.poi-label{
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 40px;
  height: 40px;
  border-radius: 40px;
  background-color: white;
  color: #000;
  margin-bottom: 8px;
}

.poi-label::before {
  content: "";
  position: absolute;
  top: 50%;
  left: 50%;
  width: 40px;
  height: 40px;
  border: 2px solid transparent;
  border-radius: 50%;
  background: transparent;
  transform: translate(-50%, -50%) scale(0);
  transition: transform 0.3s ease, border-color 0.3s ease;
}

.poi-label.show::before {
  border-color: #46BEFF;
  transform: translate(-50%, -50%) scale(1);
}

/* CONTENEDOR PRINCIPAL */
.media-pannel {
  position: absolute;
  display: flex;
  flex-direction: column;
  z-index: 960;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
}

.media-pannel-content{
  position: relative;
}

.media-close{
  width: 100%;
  min-height: 57px;
}

.media-content{
  display: flex;
  flex: 1 1 auto;
  position: absolute;
  bottom: 0;
  right: 0;
  width: 100%;
  height: 90%;
  max-height: 90%;
  background-color: #27303E;
  border-radius: 16px 16px 0px 0px;
}

.media-content video,.media-content img{
  position: absolute;
  top: 0;
  right: 0;
  left: 0;
  bottom: 0;
  width: 100%;
  height: 100%;
  border-radius: 16px 16px 0px 0px;
  object-fit: cover;
  object-position: center center;
}

.media-general-info{
  display: flex;
  position: absolute;
  bottom: 0;
  width: 100%;
  height: auto;
  flex-direction: column;
  align-items: stretch;
  background: linear-gradient(360deg, 
  rgba(0,0,0,0.92) 0%, 
  rgba(0,0,0,0.89) 20%, 
  rgba(0,0,0,0.45) 50%, 
  rgba(0,0,0,0) 100%);

  padding: 16px;
  gap: 24px;
}

.media-general-info.solo{
  border-radius: 16px 16px 0px 0px;
  background:linear-gradient(360deg, #0d161b 0%, #1c3644 20%, #2e6888 50%, #286686 100%);
}

.media-next-btn{
  position: absolute;
  height: 90%;
  bottom: 0;
  width: 35%;
  background: transparent;
  border: none;
  -webkit-appearance: none;
  z-index: 3;
  -webkit-tap-highlight-color: transparent !important;
  box-shadow: none; 
}

.media-next-btn:active,
.media-next-btn:focus {
  outline: none;
  box-shadow: none;
  -webkit-box-shadow: none;
  background: transparent !important;
}

.media-next-btn.right{
  right: 0;
}
.media-next-btn.left{
  left: 0;
}
.content-media-bar{
  position: absolute;
  display: flex;
  padding: 0px 16px 0px 16px;
  bottom: calc(90% - 16px);
  z-index: 901;
  width: 100%;
  height: 5px;
  align-items: stretch;
  gap: 8px;
}
.media-bar{
  height: auto;
  position: relative;
  flex: 1;
  width: auto;
  background-color: #ffffff83;
  border-radius: 8px;
  overflow: hidden;
}

.bar-progress-fill{
  background: linear-gradient(90deg, #B2DEF7 -28.95%, #46BEFF 49.17%, #B2DEF7 127.29%);
  width: 0%;
  height: 100%;
  transition: width 0.1s linear; /* animación suave */
}

.media-info{
  display: flex;
  flex-direction: column;
  bottom: 0;
  right: 0;
  left: 0;
  gap: 8px;
}

.close{
  position: absolute;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  background: #2b39464a;
}

.blue-gradient{
  position:absolute;
  bottom: 0;
  left: 0;
  background:radial-gradient(
    100% 140% at 0% 50%, 
    #46BEFF 0%, 
    transparent 40%);
}

.media-info h2{
  color: #46BEFF;
}
.media-info p{
  color: #FFFFFF;
}
/* .media-info button {
  background: linear-gradient(90deg, #B2DEF7 -28.95%, #46BEFF 49.17%, #B2DEF7 127.29%);
  color: #FFFFFF;
  border: 1px solid var(--Primario, #46BEFF);
  padding: 8px;
  border-radius: 8px;
  margin-top: 16px;
} */

.cta-button{
  display: flex;
  border: solid 1px #46BEFF;
  border-radius: 8px;
  color: #46BEFF;
  padding: 5px;
  width: 97px;
  /* height: 34px; */
  background-color: transparent;
  align-items: center;
  justify-content: center;
  gap: 8px;
}

.cta-button img{
  width: 16px;
  height: 16px;
}
.cta-button p{
  color: #46BEFF;
}

.media-controls{
  width: 100%;
  display: flex;
  flex-direction: row;
  padding: 0px 16px;
  justify-content: space-evenly;
  align-items: center;
  gap: 18px;
}

.video-control, .video-sound{
  background-color: transparent;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  border: none;
}

.video-control.play{
  background-image: url("./images/play-icon.webp");
  width: 27px;
  height: 27px;
}
.video-control.pause{
  background-image: url("./images/pause-icon.webp");
  width: 27px;
  height: 27px;
}
.video-sound.volume{
  background-image: url("./images/volume-icon.webp");
}
.video-sound.mute{
  background-image: url("./images/mute-icon.webp");
}

.media-controls button {
  width: 28px;
  height: 28px;
}
.media-controls button:focus {
  box-shadow: none;
}

/* PROGRESS BAR */
.video-progress-bar {
  flex: 1;
  background: #ffffff42;
  height: 6px;
  border-radius: 3px;
  position: relative;
  cursor: pointer;
  overflow: hidden;
}

.video-progress-fill {
  background: linear-gradient(90deg, #B2DEF7 -28.95%, #46BEFF 49.17%, #B2DEF7 127.29%);
  width: 0%;
  height: 100%;
  transition: width 0.1s linear; /* animación suave */
}

/* Transiciones para ambos paneles */
.media-general-info,.media-pannel,.poi-pannel{
  transition: opacity .4s cubic-bezier(.22,.61,.36,1);
  will-change: opacity;
}

/* Estado inicial del panel de información: oculto */
.media-general-info {
    opacity: 0;
    transform: translateY(20px);
    pointer-events: none; /* Impide la interacción mientras está oculto */
}

/* Clase para mostrar el panel de información */
.media-general-info.active {
    opacity: 1;
    transform: translateY(0);
    pointer-events: auto;
    z-index: 4;
}
.media-pannel.hide,.poi-pannel.hide {
  opacity: 0;
}

@media (min-width: 480px) {
  .media-content{
    width: 700px;
    /* height: 951px; */
    right: 16px;
    bottom: 16px;
    border-radius: 16px 16px 16px 16px;
  }

  .content-media-bar{
    width: 700px;
    right: 16px;
    bottom: 90%;
  }

  .media-content video,.media-content img {
    border-radius: 16px 16px 16px 16px;
  }

  .media-general-info{
    width: 700px;
    right: 16px;
    bottom: 16px;
    border-radius: 0px 0px 16px 16px;
  }
}

.poi-pannel{
  position: absolute;
  display: flex;
  flex-direction: column;
  z-index: 940;
  top: 0;
  bottom: 0;
  right: 0;
  left: 0;
  /*max-width: 1200px;*/
}

.poi-section {
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: #27303E;
  display: flex;
  flex: 1 1 auto;
  flex-direction: column;
  border-radius: 16px 16px 0px 0px;
  max-width: 700px;
  height: fit-content;
  max-height: 90%;
}

.poi-content{
  position: relative;
  overflow-y: scroll;
  padding: 2rem 1rem;
}

.poi-content h2 {
  font-size: 2rem;
  margin-bottom: 0.5rem;
  color: #FFFFFF;
}

.poi-content p {
  font-size: 1rem;
  margin-bottom: 2rem;
  color: #FFFFFF;
}

/* Cuadrícula para alinear las tarjetas */
.poi-grid {
  display: flex;
  grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
  gap: 1.5rem;
  flex-wrap: wrap;
  justify-content: center;
}

.shadow.bottom{
  position: absolute;
  touch-action: none;
  pointer-events: none;
  z-index: 1;
  bottom: 0;
  right: 0;
  left: 0;
  height: 50px;
  background: linear-gradient(180deg, rgba(39, 48, 62, 0) 0%, #27303E 100%);
}
.shadow.top{
  position: absolute;
  touch-action: none;
  pointer-events: none;
  z-index: 1;
  top: 0;
  right: 0;
  left: 0;
  height: 50px;
  border-radius: 16px 16px 0px 0px;
  background: linear-gradient(0deg, rgba(39, 48, 62, 0) 0%, #27303E 100%);
}

@media (min-width: 730px) {
  .poi-section {
    bottom: 16px;
    right: 16px;
    border-radius: 16px 16px 16px 16px;
    height: fit-content;
    max-height: 90%;
  }
  .shadow.bottom {
    border-radius: 16px 16px 16px 16px;
  }
}

.menu-container {
  position: fixed;
  bottom: 20px;
  max-width: 130px;
  right: 20px;
  display: flex;
  flex-direction: row;
  align-items: center;
  z-index: 899;
  flex-wrap: wrap;
  gap: 4px;
}

/* Botón principal (el de '+') */
.btn-main {
  width: 60px;
  height: 60px;
  border: none;
  border-radius: 8px;
  border: 1px solid var(--Primario, #46BEFF);
  background-color: #46BEFF80; /* Color de fondo del botón principal */
  box-shadow: 0 3px 6px rgba(0,0,0,0.3);
  cursor: pointer;
  outline: none;
  transition: transform 0.3s ease;
  display: flex;
  justify-content: center;
  align-items: center;
}

.btn-main.open{
  background-color: #46BEFF33;
}

.btn-main:hover {
  transform: scale(1.04);
}
.btn-main.open:hover {
  transform: scale(1);
}
.btn-main:focus {
  box-shadow: none;
}

.btn-main img {
  width: 28px;
  height: 28px;
}

/* Cada botón secundario */
.btn-sub {
  width: 60px;
  height: 60px;
  border: none;
  border-radius: 8px;
  border: 1px solid #FFFFFF80;
  background-color: #ffffff4f;
  box-shadow: 0 3px 6px rgba(0,0,0,0.3);
  cursor: pointer;
  pointer-events: none;
  touch-action: none;
  display: flex;
  justify-content: center;
  align-items: center;
  transform: scale(0);
  opacity: 0;
  transition: transform 0.3s cubic-bezier(.68, -0.55, .27, 1.55), opacity 0.3s ease;
}

.btn-sub.open {
  pointer-events: auto;
  touch-action: auto;
  transform: scale(1);
  opacity: 1;
}

.btn-sub img {
  width: 24px;
  height: 24px;
  filter: invert(100%); /* Si quieres el icono en blanco, según el color original */
}

.btn-sub:focus {
  box-shadow: none;
  border: none;
}
.btn-sub:hover {
  transform: scale(1.04);
}
.btn-sub:nth-child(3).open {
  transition-delay: 0.0s;  /* Aparece de inmediato */
}
.btn-sub:nth-child(1).open {
  transition-delay: 0.07s;  /* Espera 0.1s */
}
.btn-sub:nth-child(2).open {
  transition-delay: 0.14s;  /* Espera 0.2s */
}

.btn-sub.disabled {
  opacity: 0.5 !important; /* Make it look faded */
  cursor: not-allowed !important; /* Show a not-allowed cursor */
  pointer-events: none !important; /* Prevent any click or hover effects */
}

.d-none{
  display: none;
}